首页 新闻 搜索 专区 学院

dnSpy如何修改编译net2.0的dll

0
悬赏园豆:10 [已解决问题] 解决于 2019-01-08 17:41

我有一个dll文件是net 2.0版本的由于年代久远 已经找不到源代码,所以我用dnSpy打开后 对需要修改的方法修改后 我再次编译保存,程序运行会提示缺少

未能加载文件或程序集“System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a”或它的某一个依赖项。系统找不到指定的文件。

请教下 是不是被编译程序4.0版本了? 求教如何解决这个问题

Easy_Cms的主页 Easy_Cms | 菜鸟二级 | 园豆:207
提问于:2019-01-08 17:06
< >
分享
最佳答案
1
收获园豆:10
dudu | 高人七级 |园豆:39014 | 2019-01-08 17:39

解决了 还是要把 dnSpy默认引用的4.0去掉,然后引用2.0相关dll再编译就型了

Easy_Cms | 园豆:207 (菜鸟二级) | 2019-01-08 17:41
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册